Bug 217027 - mc's subshell leaves a file descriptor open, ifup tries to write there, SELinux yells
Summary: mc's subshell leaves a file descriptor open, ifup tries to write there, SELin...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mc   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-23 08:35 UTC by Radek Bíba
Modified: 2018-04-19 09:50 UTC (History)
1 user (show)

Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 00:53:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Bíba 2006-11-23 08:35:46 UTC
Description of problem:
When running 'ifup eth0' from shell under mc, AVC denials appear. SELinux
Troubleshhoter points out that ip and hostname are trying to write to
pipe[XXXX], which, as per lsof, belongs to mc.

Version-Release number of selected component (if applicable):
mc-4.6.1a-30.fc6 (%dist tag needs an update anyway, huh? :) )

How reproducible:
Always, with SELinux in enforcing mode

Steps to Reproduce:
1. mc
2. CRTL+O
3. ifup eth0
  
Actual results:
SELinux is preventing /bin/hostname (hostname_t) "write" to pipe:[104272]
(unconfined_t).
SELinux is preventing /sbin/ip (ifconfig_t) "write" to pipe:[104272] (unconfined_t)

Expected results:
No such attempts -> no such denials/warnings.

Comment 1 RHEL Product and Program Management 2006-11-28 02:14:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Jindrich Novy 2006-12-12 09:20:50 UTC
Fix backported from rawhide.

Comment 4 RHEL Product and Program Management 2007-02-08 00:53:35 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.